*  Suppress the Results Viewer;

ods noresults;

*  Close any open ODS destinations;

ods _all_ close;

*  Directory for SAS code, data and output - remember trailing slash;

%let SAMPDIR=C:\HOW\DelGobbo\;

*  Library containing the sample data;

libname sample "&SAMPDIR" access=read;

*  Library to store styles and tagsets;

libname mylib "&SAMPDIR";

*  Set the ODS search path for styles and tagsets;

ods path (prepend) mylib.tmplmst(update);

*  Include recent version of the ExcelXP ODS tagset;

%include "&SAMPDIR.ExcelXP.sas";

*  Create the workbook;

ods tagsets.ExcelXP path="&SAMPDIR" file='MyWorkbook.xml' style=Printer;

title 'The CLASS Data Set';
footnote '(From the SASHELP Library)';

*  Set some "global" tagset options that affect all worksheets;

ods tagsets.ExcelXP options(embedded_titles='yes'
                            embedded_footnotes='yes'
                            print_header='&C&A&RPage &P of &N'
                            print_footer='&RPrinted &D at &T'
                            autofilter='2');

ods tagsets.ExcelXP options(sheet_name='Male Students');

proc print data=sashelp.class noobs style(Header)=[just=center];
  where (sex eq 'M');
  var name age      / style(Column)=[background=#99ccff];
  var height weight / style(Column)=[background=#99ccff
                                     tagattr='format:#.0'];
run; quit;
  
ods tagsets.ExcelXP options(sheet_name='Female Students');

proc print data=sashelp.class noobs style(Header)=[just=center];
  where (sex eq 'F');
  var name age      / style(Column)=[background=#ff99cc];
  var height weight / style(Column)=[background=#ff99cc
                                     tagattr='format:#.0'];
run; quit;

ods tagsets.ExcelXP close;