*;
*  TO DO: 
*
*  Lines 27 and 35: Specify attribute setting to center coulumn heading text.
*
*  Lines 29-30 and 37-38: Note "split" VAR statements.
*
*  Lines 29-30 and 37-38: Specify the background color values
*    #99ccff for and males, and #ff99cc for females.
*;

ods tagsets.ExcelXP path="&SAMPDIR" file='MyWorkbook.xml' style=Printer;

title 'The CLASS Data Set';
footnote '(From the SASHELP Library)';

*  Set some "global" tagset options that affect all worksheets;

ods tagsets.ExcelXP options(embedded_titles='yes'
                            embedded_footnotes='yes'
                            print_header='&C&A&RPage &P of &N'
                            print_footer='&RPrinted &D at &T'
                            autofilter='2');

ods tagsets.ExcelXP options(sheet_name='Male Students');

proc print data=sashelp.class noobs style(Header)=[just=center];
  where (sex eq 'M');
  var name age      / style(Column)=[background=#99ccff];
  var height weight / style(Column)=[background=#99ccff];
run; quit;
  
ods tagsets.ExcelXP options(sheet_name='Female Students');

proc print data=sashelp.class noobs style(Header)=[just=center];
  where (sex eq 'F');
  var name age      / style(Column)=[background=#ff99cc];
  var height weight / style(Column)=[background=#ff99cc];
run; quit;

ods tagsets.ExcelXP close;