*;
*  TO DO: 
*
*  Lines 26 and 35: Specify the Excel format to display 1 decimal place.
*;

ods tagsets.ExcelXP path="&SAMPDIR" file='MyWorkbook.xml' style=Printer;

title 'The CLASS Data Set';
footnote '(From the SASHELP Library)';

*  Set some "global" tagset options that affect all worksheets;

ods tagsets.ExcelXP options(embedded_titles='yes'
                            embedded_footnotes='yes'
                            print_header='&C&A&RPage &P of &N'
                            print_footer='&RPrinted &D at &T'
                            autofilter='2');

ods tagsets.ExcelXP options(sheet_name='Male Students');

proc print data=sashelp.class noobs style(Header)=[just=center];
  where (sex eq 'M');
  var name age      / style(Column)=[background=#99ccff];
  var height weight / style(Column)=[background=#99ccff
                                     tagattr='format:#.0'];
run; quit;
  
ods tagsets.ExcelXP options(sheet_name='Female Students');

proc print data=sashelp.class noobs style(Header)=[just=center];
  where (sex eq 'F');
  var name age      / style(Column)=[background=#ff99cc];
  var height weight / style(Column)=[background=#ff99cc
                                     tagattr='format:#.0'];
run; quit;

ods tagsets.ExcelXP close;